﻿package compo_ritual
{
    import compo_ritual.gamestates.Game;
    import compo_ritual.gamestates.TitleScreen;
    import meyermike.core.BaseGame;
    import meyermike.Preloader;
    import meyermike.Settings;
    import meyermike.util.music.Song;

    /**
     * ...
     * @author Mike Meyer
     */
    public class Main extends Preloader
    {
        /**
         * override to start your game
         */
        protected override function preloadComplete():void
        {
            Settings.StageWidth = 576;
            Settings.StageHeight = 480;

            Settings.Gravity = 1500;
            Settings.MaxFallSpeed = 700;

            var game:BaseGame = new BaseGame();
            addChild(game);

            game.Music.SongList = [
                new Song(   "http://www.meyermike.com/games/indiebay0/nashvillenightingale.mp3",
                            "Nashville Nightingale",
                            "Charleston 7"),
                new Song(   "http://www.meyermike.com/games/indiebay0/barbequebess.mp3",
                            "Barbeque Bess",
                            "Bessie Jackson",
                            null,
                            0.25),
                new Song(   "http://www.meyermike.com/games/indiebay0/monkeymanblues.mp3",
                            "Monkey Man Blues",
                            "Cripple Clarence Lofton",
                            null,
                            0.25),
                new Song(   "http://www.meyermike.com/games/indiebay0/Charleston7-Toodles.mp3",
                            "Toodles",
                            "Charleston 7") ];

            game.ChangeGameState(new TitleScreen());
        }

    }

}
