﻿package meyermike.script.step
{
    import meyermike.script.Step;

    /**
     * step to block until a condition is met
     * @author Mike Meyer
     */
    public class Condition extends Step
    {
        private var mCondition:Function;

        /**
         * set it up with it's function to call
         */
        public function Condition(condition:Function)
        {
            mCondition = condition;
        }

        public override function Execute(timeDelta:Number):Boolean
        {
            return mCondition();
        }
    }

}
